#!hs2

#####################################################################
# Skrypt   : Fix_BadQuotes.hsc
# Autor    : Nuta <nuta@konto.pl>
# Srona WWW: http://hamster.thebat.pl
# Wersja   : 2002-10-03
# Poprawki : 2003-05-16
# ===================================================================
# Opis    : Skrypt poprawiajcy niepoprawne znaczniki cytowania. Moe
#         : z powodzeniem suy jako panaceum na niepoprawne
#         : wychodzce cytowanie Outlok Express'a oraz spacj
#         : wprowadzajc w znakach cytowania wstawianych przez
#         : Mozill przy reedycji artykuw/listw z wczonym trybem
#         : format=flowed. Skrypt usuwa take w wysyanych artykuach
#         : zbdne puste linie zawierajce jedynie znaki cytatu bd
#         : tzw. biae spacje. Szerszy opis dziaania i instalacji
#         : skryptu zawarty zosta w doczanym pliku
#         : Fix_BadQuotes.txt.
#####################################################################

Var($w1, $w2, $w3, $w4)
RE_Split(HamVersion, "\.", $w1, $w2, $w3, $w4)
VarSet($Wersja, str($w1,3) + str($w2,3) + str($w3,3) + str($w4,3))

if ($Wersja >= "001003023150")
  ScriptPriority(3)
else
  MsgBox("Uwaga! Ten skrypt wymaga Hamstera w wersji conajmniej 1.3.23.150!" + chr(13) + "Dokonaj uaktualnienia. Nowsze wersje programu dostpne s np. na stronie http://hamster.thebat.pl", "Fix_BadQuotes - poprawa znacznikw cytowania", 0x40|0x0)
  quit
endif

Var($i, $j, $Tresc)
Var($w1, $w2, $w3, $w4)

VarSet($CRLF, chr(13)+chr(10))
VarSet($LPlikow, ListAlloc)
VarSet($LTresc, ListAlloc)

ListFiles($LPlikow, HamNewsOutPath + "*.msg")

if (ListCount($LPlikow) > 0)
  for ($i, 0, ListCount($LPlikow)-1)
    ListLoad($LTresc, HamNewsOutPath + ListGet($LPlikow, $i))
    $Tresc = ListGetText($LTresc)
    ListClear($LTresc)
    print("Modyfikuj artyku ", ListGet($LPlikow, $i), ". Pozostao jeszcze ", ListCount($LPlikow)-1-$i, ". Czekaj...")
    Fix_Quotes
    ListSetText($LTresc, $Tresc)
    ListSave($LTresc, HamNewsOutPath + ListGet($LPlikow,$i))
    ListClear($LTresc)
  endfor
else
  print("W katalogu artykuw: ", HamNewsOutPath, " nie ma plikw *.msg")
endif

ListClear($LPlikow)
ListFiles($LPlikow, HamMailsOutPath + "*.msg")

if (ListCount($LPlikow) > 0 )
  for ($i, 0, ListCount($LPlikow)-1)
    ListLoad($LTresc, HamMailsOutPath + ListGet($LPlikow, $i))
    $Tresc = ListGetText($LTresc)
    print("Modyfikuj list: ", ListGet($LPlikow, $i), ". Pozostao jeszcze ", ListCount($LPlikow)-1-$i, ". Czekaj...")
    Fix_Quotes
    ListSetText($LTresc, $Tresc)
    ListSave($LTresc, HamMailsOutPath + ListGet($LPlikow,$i))
    ListClear($LTresc)
  endfor
else
  print("W katalogu listw: ", HamMailsOutPath, " nie ma plikw *.msg")
endif

ListFree($LPlikow)
ListFree($LTresc)

quit



sub Fix_Quotes

  # Oczywicie ponisze linie mona sobie modyfikowa. Sowem, co kto lubi ;-)
  $Tresc = Replace($Tresc, $CRLF+$CRLF+$CRLF, $CRLF+$CRLF, True, True)
  $Tresc = Replace($Tresc, $CRLF+">"+$CRLF, $CRLF, True, True)
  $Tresc = Replace($Tresc, $CRLF+">>"+$CRLF, $CRLF, True, True)
  $Tresc = Replace($Tresc, $CRLF+":"+$CRLF, $CRLF, True, True)
  $Tresc = Replace($Tresc, $CRLF+"|"+$CRLF, $CRLF, True, True)
  $Tresc = Replace($Tresc, $CRLF+" "+$CRLF, $CRLF, True, True)
  $Tresc = Replace($Tresc, $CRLF+chr(9)+$CRLF, $CRLF, True, True)
  $Tresc = Replace($Tresc, $CRLF+"> "+$CRLF, $CRLF, True, True)
  $Tresc = Replace($Tresc, $CRLF+"> >"+$CRLF, $CRLF, True, True)
  $Tresc = Replace($Tresc, $CRLF+"| "+$CRLF, $CRLF, True, True)
  $Tresc = Replace($Tresc, $CRLF+"  "+$CRLF, $CRLF, True, True)
  $Tresc = Replace($Tresc, $CRLF+" >"+$CRLF, $CRLF, True, True)
  $Tresc = Replace($Tresc, $CRLF+" >", $CRLF+">", True, True)
  $Tresc = Replace($Tresc, $CRLF+":", $CRLF+">", True, True)
  $Tresc = Replace($Tresc, $CRLF+"|", $CRLF+">", True, True)
  $Tresc = Replace($Tresc, $CRLF+"> >", $CRLF+">>", True, True)

endsub

